entryPoints:
  http:
    address: ':80'
  https:
    address: ':443'
  traefik:
    address: ':8080'

providers:
  docker:
    swarmMode: true
    exposedByDefault: false
  file:
    directory: /usr/local/etc/traefik
    watch: true
#  kubernetesCRD:
#    ingressClass: traefik2crd
#  kubernetesIngress:
#    ingressclass: traefik2

# api:
#   dashboard: true
#   debug: true
#   insecure: true

# log:
#   level: INFO

certificatesResolvers:
  default:
    acme:
      email: agrozyme@gmail.com
      storage: /usr/local/etc/traefik/acme.json
      tlsChallenge: {}

http:
  middlewares:
    default:
      headers:
        FrameDeny: true
        SSLRedirect: true
        browserXSSFilter: true
        contentSecurityPolicy: upgrade-insecure-requests
        contentTypeNosniff: true
        forceSTSHeader: true
        stsIncludeSubdomains: true
        stsPreload: true
    redirect-https:
      redirectScheme:
        scheme: https
  # routers:
  #   https:
  #     entrypoints:
  #       - https
  #     tls:
  #       certresolver: default
  #     middlewares:
  #       - default
  #   http:
  #     middlewares:
  #       - redirect-https
